<?php
class custom_login_page extends plxPlugin {
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# limite l'accès à l'écran d'administration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);
		
		# Déclaration d'un hook (existant ou nouveau)
		$this->addHook('AdminAuthEndHead','AdminAuthEndHead');
		$this->addHook('AdminAuthEndBody','AdminAuthEndBody');
		$this->addHook('AdminAuthTop','AdminAuthTop');
		$this->addHook('AdminAuthPrepend','AdminAuthPrepend');

		
	}

	# Activation / désactivation
	public function OnActivate() {
		# code à exécuter à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à exécuter à la désactivation du plugin
	}
	
	# HOOKS
	public function AdminAuthEndHead(){
			echo '
				<link rel="stylesheet" type="text/css" href="<?php echo PLX_PLUGINS ?>custom_login_page/style.css" media="screen" />
				<link rel="icon" href="<?php echo PLX_PLUGINS ?>custom_login_page/favicon.png" />
			';
	}
	public function AdminAuthTop(){
		global $plxAdmin;
		$titre=$this->getParam("title_text");
		$login=$this->getParam("login_text");
		$pass=$this->getParam("pass_text");
		$submit=$this->getParam("submit_text");
		if (trim($titre) == ''){$titre='Connexion à l\'administration';}
		if (trim($login) == ''){$login='Login';}
		if (trim($pass) == ''){$pass='Mot de passe';}
		if (trim($submit) == ''){$submit='Valider';}
		

		echo '<form action="auth.php<?php echo !empty($redirect)?\'?p=\'.plxUtils::strCheck(urlencode($redirect)):"" ?>" method="post" id="form_auth">
				<fieldset>
					<p><img src="<?php echo PLX_PLUGINS ?>custom_login_page/img/logo.png" /></p>
					<?php echo plxToken::getTokenPostMethod(); ?>
					<div class="title"><?php echo "'.$titre.'"; ?></div>
					<?php (!empty($msg))?plxUtils::showMsg($msg, $error):\'\'; ?>
					<label for="id_login"><?php echo "'.$login.'"; ?>:</label>
					<?php plxUtils::printInput("login", (!empty($_POST["login"]))?plxUtils::strCheck($_POST["login"]):"", "text", "18-255");?>
					<label for="id_password"><?php echo "'.$pass.':"; ?>
					<?php plxUtils::printInput("password", "", "password","18-255");?>
					<?php eval($plxAdmin->plxPlugins->callHook(\'AdminAuth\')) ?>
					<p><input class="button submit" type="submit" value="<?php echo "'.$submit.'"; ?>" /></p>

				</fieldset>
				</form>
				<small style="text-align:center;display:block"><a href="'.$plxAdmin->aConf["racine"].'">Retour au site</a> - Propulsé par <a href="http://www.pluxml.org/">pluXML</a></small>
				</div>
			<?php eval($plxAdmin->plxPlugins->callHook(\'AdminAuthEndBody\')) ?>
			</body>
			</html>
			<?php exit;?>
			';
	}


	

}





/* Pense-bête:
 * Récuperer des parametres du fichier parameters.xml
 *	$plxPlugin->getParam("<nom du parametre>")
 *	$plxPlugin-> setParam ("param1", 12345, "numeric")
 *	$plxPlugin->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_CONFIG_PATH
 * PLX_PLUGINS
 *
 * Appel de HOOK
 *	eval($plxShow->callHook("ThemeEndHead","param1"))  ou eval($plxShow->callHook("ThemeEndHead",array("param1","param2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","param1"));
 */
?>
